## fsl 4.1.6

=== src/flirt/Makefile ===
# Makefile for FLIRT

include ${FSLCONFDIR}/default.mk

PROJNAME = flirt

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB} -I${INC_BOOST}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

LIBS = -lwarpfns -lbasisfield -lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lznz -lnewmat -lutils -lm -lz

FL_OBJS = globaloptions.o flirt.o 
C_OBJS = convert_xfm.o
A_OBJS = avscale.o
R_OBJS = rmsdiff.o
STD_OBJS = std2imgcoord.o
EPI_OBJS = img2stdcoord.o
IMG_OBJS = img2imgcoord.o
X_OBJS = applyxfm4D.o
P_OBJS = pointflirt.o
M_OBJS = makerot.o
I_OBJS = imapper.o

RUNTCLS = Flirt InvertXFM ApplyXFM ConcatXFM Nudge
XFILES = flirt convert_xfm avscale rmsdiff std2imgcoord img2stdcoord \
	img2imgcoord applyxfm4D pointflirt makerot
TESTXFILES = 
HFILES =
SCRIPTS = extracttxt pairreg standard_space_roi flirt_average

all:	${XFILES} schedule

schedule:
	@if [ ! -d ${DESTDIR}/etc ] ; then ${MKDIR} ${DESTDIR}/etc ; ${CHMOD} g+w ${DESTDIR}/etc ; fi
	@if [ ! -d ${DESTDIR}/etc/flirtsch ] ; then ${MKDIR} ${DESTDIR}/etc/flirtsch ; ${CHMOD} g+w ${DESTDIR}/etc/flirtsch ; fi
	${CP} -rf flirtsch/* ${DESTDIR}/etc/flirtsch/.

flirt:    	${FL_OBJS}
	        $(CXX)  ${CXXFLAGS} ${LDFLAGS} -o $@ ${FL_OBJS} ${LIBS}


convert_xfm:    ${C_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${C_OBJS} ${LIBS}

avscale:        ${A_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${A_OBJS} ${LIBS}

rmsdiff:        ${R_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${R_OBJS} ${LIBS}

std2imgcoord:	${STD_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${STD_OBJS} ${LIBS}

img2stdcoord:	${EPI_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${EPI_OBJS} ${LIBS}

img2imgcoord:	${IMG_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${IMG_OBJS} ${LIBS}

applyxfm4D:	${X_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${X_OBJS} ${LIBS}

pointflirt:	${P_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${P_OBJS} ${LIBS}

makerot:	${M_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${M_OBJS} ${LIBS}

imapper:	${I_OBJS}
		${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@  ${I_OBJS} ${LIBS}

=== src/melodic/Makefile ===
# A Makefile for MELODIC

include ${FSLCONFDIR}/default.mk

OPTFLAGS = -O3 -Wno-deprecated 
OPTFLAGS_alphaev6-dec-osf 5.0-gcc2.95.2 = -O3 -mieee -mfp-trap-mode=sui

PROJNAME = melodic

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG} -L${LIB_ZLIB}

LIBS = -lutils -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lprob -lm  -lgdc -lgd -lpng -lz

TEST_OBJS = test.o 

GGMIX_OBJS = ggmix.o

FSL_GLM_OBJS = melhlprfns.o fsl_glm.o

FSL_SBCA_OBJS = melhlprfns.o fsl_sbca.o

FSL_MVLM_OBJS = melhlprfns.o fsl_mvlm.o

FSL_REGFILT_OBJS = melhlprfns.o fsl_regfilt.o

MELODIC_OBJS =  meloptions.o melhlprfns.o melgmix.o meldata.o melpca.o melica.o melreport.o melodic.o 

TESTXFILES = test

XFILES = fsl_glm fsl_sbca fsl_mvlm fsl_regfilt melodic

RUNTCLS = Melodic

SCRIPTS = melodicreport

all: ggmix fsl_regfilt fsl_glm fsl_mvlm fsl_sbca melodic

ggmix: ${GGMIX_OBJS}
	${AR} -r libggmix.a ${GGMIX_OBJS} 

melodic: ${MELODIC_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${MELODIC_OBJS} ${LIBS}

test: ${TEST_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${TEST_OBJS} ${LIBS}

fsl_glm: ${FSL_GLM_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_GLM_OBJS} ${LIBS}

fsl_sbca: ${FSL_SBCA_OBJS}
		$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_SBCA_OBJS} ${LIBS}

fsl_mvlm: ${FSL_MVLM_OBJS}
		$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_MVLM_OBJS} ${LIBS}

fsl_regfilt: ${FSL_REGFILT_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_REGFILT_OBJS} ${LIBS}

=== src/meshclass/Makefile ===
# $Id: Makefile,v 1.8 2007/11/02 11:06:19 flitney Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = meshclass

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB} -I${INC_BOOST}
USRLDFLAGS = -L${LIB_NEWMAT}  -L${LIB_ZLIB}

LIBS=-lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lznz -lnewmat -lutils -lz

MESHOBJS=point.o mpoint.o triangle.o mesh.o pt_special.o profile.o 
DRAWOBJS=drawmesh.o mpoint.o triangle.o mesh.o point.o pt_special.o
INTEROBJS=selfintersection.o mpoint.o triangle.o mesh.o point.o pt_special.o

XFILES=drawmesh selfintersection

DBGFLAGS=-g

all: meshclass.a ${XFILES}

meshclass.a: ${MESHOBJS}
	${AR} -r libmeshclass.a ${MESHOBJS}

drawmesh:${DRAWOBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DRAWOBJS} ${LIBS} 

selfintersection:${INTEROBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${INTEROBJS} ${LIBS}

=== src/siena/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = siena

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

#LIBS = -lss_32R -lfslio -lniftiio -lznz -lm -lz
LIBCC = -lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lznz -lnewmat -lutils -lm -lz

SN_OBJS = surface_norm.o
CS_OBJS = cylsamp.o
GT_OBJS = groupttest.o

XFILES = siena_diff
TESTXFILES = groupttest surface_norm cylsamp 
SCRIPTS = siena siena_flirt siena_cal sienax siena_flow2std

all:	${XFILES}

# DON'T REMOVE THE -O0!!!! siena_diff doesn't work with optimisation
siena_diff: siena_diff.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -O0 -o siena_diff siena_diff.cc ${LIBCC}

surface_norm: ${SN_OBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SN_OBJS} ${LIBCC}

cylsamp: ${CS_OBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${CS_OBJS} ${LIBCC}

groupttest: ${GT_OBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${GT_OBJS} ${LIBCC}

=== src/susan/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = susan

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

IOLIBS = -lfslio -lniftiio -lznz -lm -lz
SSLIBS = -lss_32R $(IOLIBS)


LIBS = -lss_16SI -lfslio -lniftiio -lznz -lm -lz
LIBS++ = -lnewimage -lmiscmaths -lprob -lfslio -lnewmat -lutils -lniftiio -lznz -lm -lz


RUNTCLS = Susan

XFILES = susan 

all: susan


susan: susan.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ susan.o ${LIBS++}

susan_smooth_16SI: susan_smooth.c
	$(CC) $(CFLAGS) -DFDT="signed short" -o susan_smooth_16SI susan_smooth.c $(LDFLAGS) $(LIBS)

=== debian/changelog ===
fsl (4.1.6-4) unstable; urgency=low

  * Remove /usr/bin symlinks from 'fsl' package and remove now obsolete
    package conflicts (Closes: #592242 again). Instead, the 'fsl-4.1' package
    now installs properly prefixed ('fsl4.1-') symlinks into /usr/bin that do
    not conflict with existing files in any package and, moreover, allow tools
    from multiple FSL versions to coexist on the same system. Any internal FSL
    scripts are unaffected by this change. Adjust manpage and README.Debian to
    document this change, as well as added a NEWS entry.
  * Bumped Standard version to 3.9.1.0 -- no changes necessary.
  * Removed menu integration of 'Nudge' tool to prevent overcrowding of menu
    categories. It is of limited functionality and rarely used.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 03 Sep 2010 09:35:39 -0400

fsl (4.1.6-3) unstable; urgency=low

  * Add package conflict between 'fsl' and 'cyrus-clients-2.2', due to file
    conflict (Closes: #592242). Thanks to Ralf Treinen for detecting.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 08 Aug 2010 12:20:38 -0400

fsl (4.1.6-2) unstable; urgency=low

  * Install package content into version-specific locations to allow multiple
    major FSL release to coexist on the same system (Closes: #546241). The
    previous unversioned 'fsl' package remains and serves as a meta package
    that depends on the latest versioned FSL package and installs wrappers
    for all binaries into /usr/bin that can be used without manually sourcing
    a config file first. This change is based on work by Mark Hymers -- Thanks!
  * Add package conflicts to 'yagiuda', 'kolab-cyrus-clients', 'multimail',
    and 'im' due to namespace conflicts of symlinks in /usr/bin installed by
    the new FSL meta package. The versioned FSL packages are usable without the
    meta package (in case someone installs these packages on a neuroscience
    workstation) and the added convenience of a readily usable FSL (without
    manual environment tweaks) seems to outweigh the disadvantages.
  * Adjust build-dependency on libnifti1-dev to libnifti-dev.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 25 Jul 2010 11:12:30 -0400

fsl (4.1.6-1) unstable; urgency=low

  * New upstream release. Merged various patches with upstream.
    Closes: #581095.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 05 Jul 2010 10:44:16 -0400

fsl (4.1.5.2-3) unstable; urgency=low

  * Switch to source package format 3.0 (quilt). Convert all Git
    feature/bugfix branches into quilt patch series.
  * Remove obsolete dh_desktop call from debian/rules.
  * Add debhelper dependency variables to fsl-doc control stanza.
  * No longer compile with '-Wl,--as-needed' to prevent symbols from
    libcprob to be substituted by external replacements.
  * Updated and extended the package description.
  * Changed maintainer to NeuroDebian. Moved myself into uploaders and
    added Yaroslav Halchenko.
  * Fix syntax error in 'rotate_bvecs' script.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 02 May 2010 19:19:25 -0400

fsl (4.1.5.2-2) unstable; urgency=low

  * Fix broken fslmaths option (-tfce). Thanks to Clark Johnson and Matthew
    Webster.
  * Bumped Standard version to 3.8.4.0 -- no changes necessary.
  * Remove support for octave2.1 dependency and allow for octave3.2.
    Thanks to Thomas Weber for the report (Closes: #572763).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 08:28:38 -0500

fsl (4.1.5.2-1) unstable; urgency=low

  * New upstream service release. Fixes issues with broken FNIRT scripts.
  * Include `fslecho` script in the binary package (Closes: #567133). Thanks to
    Petr Hlustík for reporting.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 28 Jan 2010 09:27:57 -0500

fsl (4.1.5-1) unstable; urgency=low

  * New upstream release.
    * An issue with Randomise "pausing" has been fixed.
    * There are some improvements to the bedpostx monitor script.
    * Large speedup for invwarp by automatically adjusting the useful FOV
      internally (no cropping of the original images needed).
    * Non-linear initialisation in bedpostx to allow better convergence of
      the MCMC chains
    * Some improvements and new options in Probtrackx:
      - allows to input nonlinear (FNIRT) warpfield instead of FLIRT
        matrices
      - bug fix in initial fibre selection
      - tracking from freesurfer cortical surface (into the brain)
      - tracking from random locations within a seed voxel
  * No longer compile with '-ansi -pedantic', since a significant part of the
    sources is actually not ANSI compliant (Closes: #546003).
  * Don't use roundl() to round doubles in src/basisfield/splinefield.cpp to
    prevent FTFBS on ARMEL (Closes: #513272).
  * Bumped Standard version to 3.8.3.0 -- no changes necessary.
  * New config variable FSLPARALLEL. If set, FSL will submit jobs to a running
    Sun Gridengine. By default, this setting is disabled in /etc/fsl/fsl.sh.
    (Closes: #546238). Added suggested package 'gridengine-client'.
    See README.Debian for more information.
  * Remove all menu items of GUI-apps that are directly accessible from the
    central FSL GUI. The menu got too crowded with all the different FSL
    items.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 22 Jan 2010 18:01:24 -0500

fsl (4.1.4-2) unstable; urgency=low

  * Include a number of upstream patches that went into 4.1.4 after the
    4.1.4-1 package got uploaded.
  * Revert from -O3 to -O2 for compiler optimizations. -O3 seems to cause
    trouble for some pieces (miscmaths, avwutils) on some architectures.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 03 Jun 2009 20:52:45 +0200

fsl (4.1.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed bashisms (Closes: #530084).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 23 May 2009 11:47:34 +0200

fsl (4.1.3-1) unstable; urgency=low

  * New Upstream Version.


=== debian/control ===
Source: fsl
Section: non-free/science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.2), libboost-dev (>= 1.32.0), libpng12-dev (>= 1.2.8rel), libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33), libnewmat10-dev, libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev, octave3.2-headers | octave3.0-headers, tcl8.4 (>=8.4.7), imagemagick, libnifti-dev (>> 1.1.0-1)
Standards-Version: 3.9.1.0
Homepage: http://www.fmrib.ox.ac.uk/fsl/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
XS-Autobuild: yes
XS-DM-Upload-Allowed: yes

Package: fsl
Architecture: all
Depends: ${misc:Depends}, fsl-4.1 (>= 4.1.6-4~)
Description: Metapackage for the latest version of FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.

Package: fsl-4.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mozilla-firefox | www-browser, tcsh | c-shell, tk8.4 (>=8.4.7), tcl8.4 (>=8.4.7), fslview, bc, dc
Recommends: fsl-doc-4.1 (= ${source:Version}), fsl-atlases
Suggests: fsl-feeds, ${octave:Depends}, dicomnifti, fsl-possum-data, fsl-first-data, gridengine-client
Conflicts: fsl-fslview
Description: analysis tools for FMRI, MRI and DTI brain imaging
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 FSL interoperates well with other brain imaging related software. This includes
 Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
 the NIfTI format.

Package: fsl-doc-4.1
Section: non-free/doc
Architecture: all
Depends: fslview-doc, ${misc:Depends}
Provides: fsl-doc
Description: documentation for FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 FSL is a comprehensive library of image analysis and statistical tools
 for FMRI, MRI and DTI brain imaging data.
 .
 This package provides the FSL documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

FSLMAJORVERSION = 4.1

# enable exented globbing in the shell to be able to use more
# sophisticated stuff in dh_install files
SHELL := /bin/bash -O extglob

# get octave paths (have to build-depend on octave-headers)
include /usr/share/octave/debian/defs.make

# This has to be exported to make some magic below work.
export DH_OPTIONS

# specify all FSL projects that shall be built
PROJECTS = \
  utils fslio miscmaths newimage libhfunc libvis first_lib meshclass fslvtkio \
  misc_tcl basisfield warpfns bint shapeModel MVdisc libmeshutils \
  avwutils bet2 cluster fast4 feat5 film filmbabe flirt fabber fslpres fslvbm \
  mcflirt melodic misc_c miscvis mm randomise siena slicetimer susan tbss \
  fnirt fugue misc_scripts fdt first possum sgeutils flameo

# specify FSL extras to be built
EXTRAS = libprob libcprob cprob

# set essential config vars for FSL build process
FSLDIR=$(CURDIR)
FSLCONFDIR=$(FSLDIR)/config

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTFLAGS = -O0
else
	# -O3 seems to kill GCC for some pieces on some architectures, sometimes
	# (miscmaths, avwutils)
	OPTFLAGS = -O2
endif

# default compiler flags
# apply to FSL as 'ANSI_FLAGS'
CFLAGS = -Wall -g -DHAVE_LIBFREETYPE -fPIC \
         -I/usr/include/nifti \
         -I/usr/include/newmat \
         -I$(FSLDIR)/extras/src/libprob -I$(FSLDIR)/extras/src/libcprob \
         -I$(FSLDIR)/src

# default linker flags
# apply to FSL as 'ARCHLDFLAGS'
LDFLAGS = -Wl,--no-undefined -L/usr/lib/fsl/lib
# 'as-needed' kills everything -- symbols of C libs get confused
# and results change -- remember cprob:gamma()
#LDFLAGS = -Wl,--no-undefined -Wl,--as-needed -L/usr/lib/fsl/lib

# where are the internal libs
FSL_LIBRARY_PATH=$(CURDIR)/lib

# install into this directory
DEB_DESTDIR=$(CURDIR)/debian/tmp

# define common environment setup for all make calls
# complicated LD_LIBRARY expression ensures that no
# trailing colon ends up in LD_LIBRARY_PATH
DEB_BUILD_ENV=LD_LIBRARY_PATH=$(FSL_LIBRARY_PATH)$${LD_LIBRARY_PATH:+:$${LD_LIBRARY_PATH}} \
		FSLDIR="$(FSLDIR)" \
		FSLCONFDIR="$(FSLCONFDIR)" \
		DEB_DESTDIR="$(DEB_DESTDIR)" \
		OPTFLAGS="$(OPTFLAGS)" \
		ANSI_FLAGS="$(CFLAGS)" \
		DEPENDFLAGS="$(CFLAGS)" \
		ARCHLDFLAGS="$(LDFLAGS)"

controlfiles:
	# inject current FSL major version into all templates
	for f in debian/templates/*; do \
		sed -e "s/#FSLMVERSION#/$(FSLMAJORVERSION)/g" $$f \
			> debian/$$(basename $$f) ; \
	done
	# renamed files that need to have a version-specific name
	for suffix in 1 desktop dirs install links lintian-overrides manpages menu postinst; do \
		for prefix in fsl fsl-doc nudge; do \
		[ -f debian/$$prefix.$$suffix ] &&  \
			mv debian/$$prefix.$$suffix debian/$$prefix-$(FSLMAJORVERSION).$$suffix || true ; \
		done ; \
	done
	# and rename the meta-package files
	for f in debian/meta.*; do \
		target=$$(basename $$f); suffix=$${target#*.} ; \
		mv $$f debian/fsl.$$suffix; \
	done

cleancontrolfiles:
	# clean sed'ed files and intermediate rubbish
	for f in debian/templates/*; do\
		rm -f debian/$$(basename $$f) ; \
	done
	rm -f debian/fsl.preinst
	# versioned files
	rm -f debian/{fsl,fsl-doc,nudge}-$(FSLMAJORVERSION).{1,desktop,dirs,install,links,lintian-overrides,manpages,menu,postinst,preinst}

# build and install extra
biextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* install

# cleanup extra
cextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* distclean

# build and install sub-project
biproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* install

# cleanup sub-project
cproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* distclean

# build and install all extras
biextras: $(EXTRAS:%=biextra-%)

# clean all extras
cextras: $(EXTRAS:%=cextra-%)
	find extras/src -name '*.o' -delete


instdir:
# FSL does not separate build and install properly
# create temporary install dir now
	if [ ! -d $(DEB_DESTDIR) ]; then mkdir -p $(DEB_DESTDIR); fi
	dh_installdirs

# build and install all sub-projects
biprojs: $(PROJECTS:%=biproj-%)

# cleanup all sub-projects
cprojs: $(PROJECTS:%=cproj-%)


#Architecture
build: instdir biextras biprojs
	dh_testdir

	# fix permissions
	find debian/tmp/tcl/BWidget -type f -exec chmod -x {} \;
	chmod 644 debian/tmp/tcl/*.{tcl,xbm,ppm,ico}
	chmod -x debian/tmp/etc/{flirtsch,fslpres}/*

	# cleanup TCL stuff
	rm -r debian/tmp/tcl/BWidget/BWMan/
	find debian/tmp/tcl/BWidget/ -name '*.txt' -delete

	# remove FSL internal binary and scripts
	rm debian/tmp/bin/{fslpres,eqn2gif,makehtmeqns}

	# silence lintian warning about a script which is actually documentation
	let "RES = $$(wc -l < src/possum/doc/readme) -1" \
		&& tail -n$${RES} src/possum/doc/readme > debian/tmp/doc/possum/readme

	# generate debhelper file to create /usr/bin symlinks and manpage links
	# for all relevant binaries installed by the versioned FSL package
	for f in $$(find debian/tmp/bin \! -type d \! -name Runtcl); do \
		bname=$$(basename $$f); \
		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION).links ; \
		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION).links ; \
	done


clean: cleancontrolfiles controlfiles cextras cprojs
	dh_testdir
	dh_testroot

	# remove leftovers
	find $(CURDIR) -name '*.so' -delete
	-rm src/fdt/{xfibres,fdt_matrix_ops,indexer,replacevols,probtrackx,reord_OM,sausages,probtrack_old}
	-rm src/feat5/doc/{top.html,feat.tcl}
	-rm -r etc/standard lib

	# clean the remaining temp dir
	rm -rf include

	# finally clean package
	dh_clean

	# fix permissions in the source
	find src/ -name '*.fig' -or -name '*.gif' -exec chmod -x {} \;


# checks that the included desktop files are ok
validate-desktop-files:
	for f in $(CURDIR)/debian/desktop/*.desktop; do \
		desktop-file-validate $${f} ; \
	done


install: build
	# make FSL logo for menu entries
	convert debian/tmp/tcl/fsl-logo-tiny.ppm \
		-resize x32 -crop 32x32+6+0 debian/tmp/fsl-$(FSLMAJORVERSION).xpm

	# install fsl config
	cp -r -t debian/tmp etc
	# clean useless pieces
	rm debian/tmp/etc/fslconf/fslmachtype.sh


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_installmenu
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# dh_shlibdeps needs access to the private libs
	dh_shlibdeps -l $(FSL_LIBRARY_PATH)
	# get the correct dependency for octave
	octave-depends
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture independent packages using the common target.
binary-indep: install
	dh_installdirs -i

	# install docs (except images which are in fsl package)
	cp -r doc/!(images) debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc
	# wipe installer script - useless on Debian
	rm debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc/fsl/fsl_installer.sh

	# cleanup doc path
	rm debian/tmp/doc/feat5/DO
	-rm debian/tmp/doc/fsl/fsl_installer.sh

	# clean empty dirs from doc package
	find debian/fsl-doc-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/doc -depth -type d -empty -exec rmdir {} \;
	find debian/tmp/doc -depth -type d -empty -exec rmdir {} \;

	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common


# Build architecture dependant packages using the common target.
binary-arch: install
	dh_installdirs -a

	# remove previous link to make repeated builds work
	-rm debian/fsl-$(FSLMAJORVERSION)/usr/share/fsl/$(FSLMAJORVERSION)/etc/fslconf/{feat.tcl,fsl.sh}

	# set execute permission for GUI application wrapper
	chmod +x debian/fsl_app_wrapper

	# install a symlink to the main data. directory -- later on we might want to
	# have more fine-grained linking and abandon the global link

## fsl 4.1.8

=== debian/changelog ===
fsl (4.1.8-1ubuntu1) oneiric; urgency=low

  * Make fslview a recommendation instead of a dependency. LP: #843314.
    Can be reverted once fslview builds again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Sep 2011 10:27:09 +0200

fsl (4.1.8-1) unstable; urgency=low

  * New upstream bugfix release.
  * Install README.Debian into the versioned FSL package.
  * Bumped Standard version to 3.9.2 -- no changes necessary.

 -- Michael Hanke <mih@debian.org>  Tue, 17 May 2011 16:45:10 -0400

fsl (4.1.7-1) unstable; urgency=low

  * New upstream bugfix release. Improved TFCE handling in fslmaths. Better
    error detection in randomise. MELODIC now has an option to use a
    user-defined seed. There are a number of minor fixes to FEAT. fslmerge
    now attempts to detect orientation problems during a temporal merge.

 -- Michael Hanke <mih@debian.org>  Wed, 19 Jan 2011 14:19:59 -0500

fsl (4.1.6-5) UNRELEASED; urgency=low

  * Added clarification to the manpage that a .bashrc might not exist and
    would have to be created.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 28 Sep 2010 17:00:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: non-free/science
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.2), libboost-dev (>= 1.32.0), libpng12-dev (>= 1.2.8rel), libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33), libnewmat10-dev, libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev, octave3.2-headers | octave3.0-headers, tcl8.4 (>=8.4.7), imagemagick, libnifti-dev (>> 1.1.0-1)
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.1
 Homepage: http://www.fmrib.ox.ac.uk/fsl/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,7 @@
 			> debian/$$(basename $$f) ; \
 	done
 	# renamed files that need to have a version-specific name
-	for suffix in 1 desktop dirs install links lintian-overrides manpages menu postinst; do \
+	for suffix in 1 desktop dirs install links lintian-overrides manpages menu postinst docs; do \
 		for prefix in fsl fsl-doc nudge; do \
 		[ -f debian/$$prefix.$$suffix ] &&  \
 			mv debian/$$prefix.$$suffix debian/$$prefix-$(FSLMAJORVERSION).$$suffix || true ; \
@@ -95,7 +95,7 @@
 	done
 	rm -f debian/fsl.preinst
 	# versioned files
-	rm -f debian/{fsl,fsl-doc,nudge}-$(FSLMAJORVERSION).{1,desktop,dirs,install,links,lintian-overrides,manpages,menu,postinst,preinst}
+	rm -f debian/{fsl,fsl-doc,nudge}-$(FSLMAJORVERSION).{1,desktop,dirs,install,links,lintian-overrides,manpages,menu,postinst,preinst,docs}
 
 # build and install extra
 biextra-%:
